- Qt 5.5
- Qt D-Bus
- C++ Classes
- QDBusObjectPath
- Qt 5.5.1 Reference Documentation

# QDBusObjectPath Class

The QDBusObjectPath class enables the programmer to identify the OBJECT_PATH type provided by the D-Bus typesystem. More...

Header: | #include <QDBusObjectPath>
qmake: | QT += dbus
Since: | Qt 4.2

- List of all members, including inherited members

## Public Functions

| QDBusObjectPath()
| QDBusObjectPath(const char * path)
| QDBusObjectPath(QLatin1String path)
| QDBusObjectPath(const QString & path)
QString | path() const
void | setPath(const QString & path)

## Detailed Description

The QDBusObjectPath class enables the programmer to identify the OBJECT_PATH type provided by the D-Bus typesystem.

See also The Qt D-Bus Type System.

## Member Function Documentation

### QDBusObjectPath::QDBusObjectPath()

Constructs a new object path.

### QDBusObjectPath::QDBusObjectPath(const char * path)

Constructs a new object path from the given path.

See also setPath().

### QDBusObjectPath::QDBusObjectPath(QLatin1String path)

Constructs a new object path from the given path.

### QDBusObjectPath::QDBusObjectPath(const QString & path)

Constructs a new object path from the given path.

### QString QDBusObjectPath::path() const

Returns this object path.

See also setPath().

### void QDBusObjectPath::setPath(const QString & path)

Assigns the value of the given path to this object path.

See also path().